Package fr.gouv.vitam.scheduler.server.job.auditobject

# Enum Class AuditProcessState

java.lang.Object
java.lang.Enum<AuditProcessState>
fr.gouv.vitam.scheduler.server.job.auditobject.AuditProcessState

All Implemented Interfaces:
  `Serializable`, `Comparable<AuditProcessState>`, `Constable`

public enum AuditProcessState extends Enum<AuditProcessState>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPLETED`
  `PAUSE`
  `RUNNING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `hasCurrentWorkflowFinishedSuccessfully(StatusCode statusCode, Integer tenantId)`
  `abstract boolean`
  `hasLastWorkflowCompleted()`
  `abstract boolean`
  `isWaitingForResponse(StatusCode statusCode)`
  `static AuditProcessState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AuditProcessState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  `static AuditProcessState`
  `wrap(ProcessState state)`

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RUNNING

    public static final AuditProcessState RUNNING

  - ### PAUSE

    public static final AuditProcessState PAUSE

  - ### COMPLETED

    public static final AuditProcessState COMPLETED

- ## Method Details

  - ### values

    public static AuditProcessState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AuditProcessState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### wrap

    public static AuditProcessState wrap(ProcessState state)

  - ### hasCurrentWorkflowFinishedSuccessfully

    public abstract boolean hasCurrentWorkflowFinishedSuccessfully(StatusCode statusCode, Integer tenantId)

  - ### hasLastWorkflowCompleted

    public abstract boolean hasLastWorkflowCompleted()

  - ### isWaitingForResponse

    public abstract boolean isWaitingForResponse(StatusCode statusCode)